import { Dispatch } from 'react';
import { CreateMqlQueryMutationVariables } from "../../mutations/mql/MqlMutationTypes";
import { Action as UseMqlQueryAction, UseMqlQueryState } from '../useMqlQuery';
interface DoCreateMqlQueryArgs {
    stateRetries: number;
}
interface UseCreateMqlQueryArgs {
    state: UseMqlQueryState;
    retries: number;
    metricName: string;
    formState?: CreateMqlQueryMutationVariables;
    dispatch: Dispatch<UseMqlQueryAction>;
}
interface UseCreateMqlQuery {
    createMqlQuery: (args: DoCreateMqlQueryArgs) => void;
}
declare const useCreateMqlQuery: ({ metricName, formState, dispatch, state, retries }: UseCreateMqlQueryArgs) => UseCreateMqlQuery;
export default useCreateMqlQuery;
